mode(-1);

//tmp = warning("query");
//warning("off");
//dir = getcwd();
chdir(get_absolute_file_path("run_tests.sce"));
seed = rand("seed");

//  Choice of the Instantaneous Amplitude 
printf("testing amexpo1s ... ");
exec("amexpo1s.tst");
printf("ok!\n");

printf("testing amexpo2s ... ");
exec("amexpo2s.tst");
printf("ok!\n");

printf("testing amgauss ... ");
exec("amgauss.tst");
printf("ok!\n");

printf("testing amrect ... ");
exec("amrect.tst"); 
printf("ok!\n");

printf("testing amtriang ... ");
exec("amtriang.tst");
printf("ok!\n");

//  Choice of the Instantaneous Frequency
printf("testing fmconst ... ");
exec("fmconst.tst");
printf("ok!\n");

printf("testing fmhyp ... ");
exec("fmhyp.tst");
printf("ok!\n");

printf("testing fmlin ... ");
exec("fmlin.tst");
printf("ok!\n");

printf("testing fmodany ... ");
exec("fmodany.tst");
printf("ok!\n");

printf("testing fmpar ... ");
exec("fmpar.tst");
printf("ok!\n");

printf("testing fmpower ... ");
exec("fmpower.tst");
printf("ok!\n");

printf("testing fmsin ... ");
exec("fmsin.tst");
printf("ok!\n");

printf("testing gdpower ... ");
exec("gdpower.tst");
printf("ok!\n");

//  Choice of Particular Signals
printf("testing altes ... ");
exec("altes.tst");
printf("ok!\n");

printf("testing anaask ... ");
exec("anaask.tst");
printf("ok!\n");

printf("testing anabpsk ... ");
exec("anabpsk.tst");
printf("ok!\n");

printf("testing anafs ... ");
exec("anafsk.tst"); 
printf("ok!\n");

printf("testing anapuls ... ");
exec("anapulse.tst");
printf("ok!\n");

printf("testing anaqpsk ... ");
exec("anaqpsk.tst");
printf("ok!\n");

printf("testing anasing ... ");
exec("anasing.tst");
printf("ok!\n");

printf("testing anastep ... ");
exec("anastep.tst");
printf("ok!\n");

printf("testingatoms  ... ");
exec("atoms.tst");
printf("ok!\n");

printf("testing dopnoise ... ");
exec("dopnoise.tst");
printf("ok!\n");

printf("testing doppler ... ");
exec("doppler.tst");
printf("ok!\n");

printf("testing klauder ... ");
exec("klauder.tst");
printf("ok!\n");

printf("testing mexhat ... ");
exec("mexhat.tst");
printf("ok!\n");

//  Addition of Noise
printf("testing noisecg ... ");
exec("noisecg.tst");
printf("ok!\n");

printf("testing noisecu ... ");
exec("noisecu.tst");
printf("ok!\n");

//  Modification
printf("testing scale ... ");
exec("scale.tst");
printf("ok!\n");

// Processing Files

//  Time-Domain Processing
printf("testing ifestar2  ... ");
exec("ifestar2.tst");
printf("ok!\n");

printf("testing instfreq  ... ");
exec("instfreq.tst");
printf("ok!\n");

printf("testing  loctime ... ");
exec("loctime.tst");
printf("ok!\n");
	
//  Frequency-Domain Processing
printf("testing ffmt ... ");
exec("ffmt.tst");
printf("ok!\n");

printf("testing iffmt ... ");
exec("iffmt.tst");
printf("ok!\n");

printf("testing locfreq ... ");
exec("locfreq.tst");
printf("ok!\n");

printf("testing sgrpdlay ... ");
exec("sgrpdlay.tst");
printf("ok!\n");

//  Linear Time-Frequency Processing
printf("testing tfrgabor ... ");
exec("tfrgabor.tst");
printf("ok!\n");

printf("testing tfrstft ... ");
exec("tfrstft.tst");
printf("ok!\n");

// Bilinear Time-Frequency Processing in the Cohen's Class

printf("testing tfrbj ... ");
exec("tfrbj.tst");
printf("ok!\n");

printf("testing tfrbud ... ");
exec("tfrbud.tst");
printf("ok!\n");

printf("testing tfrcw ... ");
exec("tfrcw.tst");
printf("ok!\n");

printf("testing tfrgrd ... ");
exec("tfrgrd.tst");
printf("ok!\n");

printf("testing tfrmhs ... ");
exec("tfrmhs.tst");
printf("ok!\n");

printf("testing tfrmh ... ");
exec("tfrmh.tst");
printf("ok!\n");

printf("testing tfrmmce ... ");
exec("tfrmmce.tst");
printf("ok!\n");

printf("testing tfrpage ... ");
exec("tfrpage.tst");
printf("ok!\n");

printf("testing tfrpmh ... ");
exec("tfrpmh.tst");
printf("ok!\n");

printf("testing tfrppage ... ");
exec("tfrppage.tst");
printf("ok!\n");

printf("testing  tfrpwv ... ");
exec("tfrpwv.tst");
printf("ok!\n");

printf("testing tfrridb  ... ");
exec("tfrridb.tst");
printf("ok!\n");

printf("testing tfrridbn ... ");
exec("tfrridbn.tst");
printf("ok!\n");

printf("testing tfrridh  ... ");
exec("tfrridh.tst");
printf("ok!\n");

printf("testing  tfrridt ... ");
exec("tfrridt.tst");
printf("ok!\n");

printf("testing tfrri ... ");
exec("tfrri.tst");
printf("ok!\n");

printf("testing tfrsp ... ");
exec("tfrsp.tst");
printf("ok!\n");

printf("testing tfrspwv  ... ");
exec("tfrspwv.tst");
printf("ok!\n");

printf("testing tfrwv ... ");
exec("tfrwv.tst");
printf("ok!\n");

printf("testing tfrzam ... ");
exec("tfrzam.tst");
printf("ok!\n");
		
//  Bilinear Time-Frequency Processing in the Affine Class

printf("testing tfrbert ... ");
exec("tfrbert.tst");
printf("ok!\n");

printf("testing tfrdfla ... ");
exec("tfrdfla.tst");
printf("ok!\n");

printf("testing tfrscalo ... ");
exec("tfrscalo.tst");
printf("ok!\n");

printf("testing tfrspaw ... ");
exec("tfrspaw.tst");
printf("ok!\n");

printf("testing tfrunter ... ");
exec("tfrunter.tst");
printf("ok!\n");

//  Reassigned TimeFrequency Processing

printf("testing tfrrgab ... ");
exec("tfrrgab.tst");
printf("ok!\n");

printf("testing tfrrmsc ... ");
exec("tfrrmsc.tst");
printf("ok!\n");

printf("testing tfrrpmh ... ");
exec("tfrrpmh.tst");
printf("ok!\n");

printf("testing tfrrppag ... ");
exec("tfrrppag.tst");
printf("ok!\n");

printf("testing tfrrpwv ... ");
exec("tfrrpwv.tst");
printf("ok!\n");

printf("testing tfrrsp ... ");
exec("tfrrsp.tst");
printf("ok!\n");

printf("testing tfrrspwv ... ");
exec("tfrrspwv.tst");
printf("ok!\n");

//  Ambiguity Functions


printf("testing ambifunb ... ");
exec("ambifunb.tst"); 
printf("ok!\n");

printf("testing ambifuwb ... ");
exec("ambifuwb.tst");
printf("ok!\n");

//  PostProcessing or Help to the Interpretation

printf("testing friedman ... ");
exec("friedman.tst");
printf("ok!\n");

printf("testing holder ... ");
exec("holder.tst");
printf("ok!\n");

printf("testing htl ... ");
exec("htl.tst");  
printf("ok!\n");

printf("testing margtfr ... ");
exec("margtfr.tst");
printf("ok!\n");

printf("testing midpoint ... ");
exec("midpoint.tst"); 
printf("ok!\n");

printf("testing momftfr ... ");
exec("momftfr.tst");
printf("ok!\n");

printf("testing momttfr ... ");
exec("momttfr.tst");
printf("ok!\n");

printf("testing renyi ... ");
exec("renyi.tst");
printf("ok!\n");

printf("testing ridges ... ");
exec("ridges.tst");
printf("ok!\n");

printf("testing tfrideal ... ");
exec("tfrideal.tst");
printf("ok!\n");

// Other 

printf("testing vecmodulo ... ");
exec("vecmodulo.tst");
printf("ok!\n");

printf("testing divider ... ");
exec("divider.tst");
printf("ok!\n");

printf("testing dwindow ... ");
exec("dwindow.tst");
printf("ok!\n");

printf("testing integ ... ");
exec("integ.tst");
printf("ok!\n");

printf("testing integ2d ... ");
exec("integ2d.tst");
printf("ok!\n");

printf("testing iza ... ");
exec("izak.tst");
printf("ok!\n");

printf("testing kaytth ... ");
exec("kaytth.tst");
printf("ok!\n");

printf("testing odd ... ");
exec("odd.tst");
printf("ok!\n");

printf("testing sigmerge ... ");
exec("sigmerge.tst");
printf("ok!\n");

printf("testing zak ... ");
exec("zak.tst");
printf("ok!\n");


printf("testing tftb_fft ... ");
exec("tftb_fft.tst");
printf("ok!\n");


printf("testing tftb_ifft ... ");
exec("tftb_ifft.tst");
printf("ok!\n");

// printf("testing Caf2tfr ... ");
// exec("Caf2tfr.tst");
// printf("ok!\n");

printf("testing  Cambifunb... ");
exec("Cambifunb.tst");
printf("ok!\n"); 


printf("testing Cwindow ... ");
exec("Cwindow.tst");
printf("ok!\n");

printf("testing Ctfrbj ... ");
exec("Ctfrbj.tst");
printf("ok!\n");

printf("testing Ctfrbud ... ");
exec("Ctfrbud.tst");
printf("ok!\n");


printf("testing  Ctfrcw... ");
exec("Ctfrcw.tst");
printf("ok!\n");


printf("testing  Ctfrgrd... ");
exec("Ctfrgrd.tst");
printf("ok!\n");

// printf("testing Ctfrker ... ");
// exec("Ctfrker.tst");
// printf("ok!\n");



printf("testing Ctfrmh ... ");
exec("Ctfrmh.tst");
printf("ok!\n");


printf("testing Ctfrmhs ... ");
exec("Ctfrmhs.tst");
printf("ok!\n");


printf("testing  Ctfrmmce... ");
exec("Ctfrmmce.tst");
printf("ok!\n");


printf("testing  Ctfrpage... ");
exec("Ctfrpage.tst");
printf("ok!\n");


printf("testing  Ctfrpmh... ");
exec("Ctfrpmh.tst");
printf("ok!\n");

printf("testing  Ctfrppage... ");
exec("Ctfrppage.tst");
printf("ok!\n");

printf("testing  Ctfrpwv... ");
exec("Ctfrpwv.tst");
printf("ok!\n");

// printf("testing Ctfrreas ... ");
// exec("Ctfrreas.tst");
// printf("ok!\n");



printf("testing Ctfrri ... ");
exec("Ctfrri.tst");
printf("ok!\n");


printf("testing  Ctfrridb... ");
exec("Ctfrridb.tst");
printf("ok!\n");

printf("testing  Ctfrridbn... ");
exec("Ctfrridbn.tst");
printf("ok!\n");

printf("testing  Ctfrridh... ");
exec("Ctfrridh.tst");
printf("ok!\n");


printf("testing Ctfrridt ... ");
exec("Ctfrridt.tst");
printf("ok!\n");


printf("testing Ctfrrsp ... ");
exec("Ctfrrsp.tst");
printf("ok!\n");

printf("testing  Ctfrsp... ");
exec("Ctfrsp.tst");
printf("ok!\n"); 

printf("testing  Ctfrspwv... ");
exec("Ctfrspwv.tst");
printf("ok!\n"); 

printf("testing  Ctfrstft... ");
exec("Ctfrstft.tst");
printf("ok!\n"); 

printf("testing Ctfrwv ... ");
exec("Ctfrwv.tst");
printf("ok!\n");


printf("testing Chtl ... ");
exec("Chtl.tst");
printf("ok!\n");


printf("testing  Ctfrzam... ");
exec("Ctfrzam.tst");
printf("ok!\n");




rand("seed",seed);
//chdir(dir);
//warning(tmp);
